Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1526568 - vm reconfigure when quota enabled gets stuck in 'pending' state
Summary: vm reconfigure when quota enabled gets stuck in 'pending' state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Tina Fitzgerald
QA Contact: Vatsal Parekh
URL:
Whiteboard: testathon
Depends On: 1517112
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-15 18:38 UTC by Satoe Imaishi
Modified: 2018-03-06 15:15 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1517112
Environment:
Last Closed: 2018-03-06 15:15:54 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-12-15 18:46:47 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/27c09e975ef9c8d8dd7fcfbbe977a5a4d9be2684

commit 27c09e975ef9c8d8dd7fcfbbe977a5a4d9be2684
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Dec 14 16:34:13 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 15 13:38:50 2017 -0500

    Merge pull request #16626 from tinaafitz/add_provision_quota_mixin
    
    Add quota mixin for vm_reconfigure_request and vm_migrate_request.
    (cherry picked from commit 9faa3909f0531b834a09a07d1d8efa9ae5f37b22)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1526568

 app/models/vm_cloud_reconfigure_request.rb | 1 +
 app/models/vm_migrate_request.rb           | 1 +
 app/models/vm_reconfigure_request.rb       | 1 +
 3 files changed, 3 insertions(+)

Comment 3 CFME Bot 2017-12-15 19:00:58 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:
https://github.com/ManageIQ/manageiq-automation_engine/commit/e5d0198953f332fc6b3c1c2e37cbcbf333a23168

commit e5d0198953f332fc6b3c1c2e37cbcbf333a23168
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Dec 14 16:38:51 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 15 13:59:58 2017 -0500

    Merge pull request #97 from tinaafitz/vm_reconfigure_request_service_model
    
    Add vm_reconfigure_request service model.
    (cherry picked from commit e8b6ccd6732fe3e9ff4e347670309c7f34bb196c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1526568

 .../miq_ae_service_vm_cloud_reconfigure_request.rb               | 9 +++++++++
 .../service_models/miq_ae_service_vm_migrate_request.rb          | 2 ++
 .../service_models/miq_ae_service_vm_reconfigure_request.rb      | 9 +++++++++
 .../mixins/miq_ae_service_miq_provision_quota_mixin.rb           | 6 ++++++
 4 files changed, 26 insertions(+)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_vm_cloud_reconfigure_request.rb
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_vm_reconfigure_request.rb
 create mode 100644 lib/miq_automation_engine/service_models/mixins/miq_ae_service_miq_provision_quota_mixin.rb

Comment 4 Vatsal Parekh 2017-12-22 09:26:21 UTC
Able to verify on Version 5.9.0.14.20171219165537_e3dea29


Note You need to log in before you can comment on or make changes to this bug.